import Vue from 'vue'
import Router from 'vue-router'


Vue.use(Router)

export const constantRoutes = [
  {
    path: '/',
    redirect: '/index'
  },
  {
    path: '/index',
    name: 'index',
    meta: {
      title: '主页',  //当前页面title
    },
    component: (resolve) => require(['@/views/home'], resolve)
  },
  {
    path: '/login',
    name: 'login',
    meta: {
      title: '登录页',
      hidden: true
    },
    component: (resolve) => require(['@/views/login'], resolve)
  }
];


export default new Router({
  linkActiveClass: 'active',
  mode: 'history', // 去掉url中的#
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRoutes
})
